# The goblinfish.testing.pact Package

> Provides mix-in classes to prescribe (require) "active contract testing" — requiring that every source-code element has a corresponding test-suite element where the package classes are applied.

> ![CAUTION]
> Until this package reaches a 1.x version it is still very much a work in progress, and the interfaces and outcomes may change radically and without warning. It is usable, and meeting its goals, as of v.0.0.3.

## Quick Start

Install in your project:

```shell
# Install with pip
pip install goblinfish-testing-pact
```

```shell
# Install with pipenv
pipenv install goblinfish-testing-pact
```

From there, see the [Manually creating a pact test-suite](MANUAL-SETUP.md) for a detailed walkthrough of the manual processes involved in setting up PACT testing across a code-base.

## Contribution guidelines

At this point, contributions are not accepted — I need to finish configuring the repository, deciding on whether I want to set up automated builds for pull-requests, and probably several other items. That said, if you have an idea that you want to propose as an addition, a bug that you want to call out, etc., please feel free to contact the maintainer(s) (see below).

## Who do I talk to?

The current maintainer(s) will always be listed in the `[maintainers]` section of [the `pyproject.toml` file](https://bitbucket.org/stonefish-software-studio/goblinfish-testing-pact-package/src/main/pyproject.toml) in the repository.

